<script lang="ts">
  import { Link } from 'svelte-routing'
  import * as paths from '../paths'
</script>

<div class="wide home-jumbotron jumbotron">
  <div class="container">
    <h1>π-Base for Banach spaces</h1>
    <p>a community database of Banach space counterexamples</p>
    <p>
      ➜ Search by property, such as <Link
        to="{paths.baseUrl}/spaces?q=Grothendieck%20%2B%20~Reflexive"
        >non-reflexive Grothendieck spaces</Link
      >
    </p>
    <p>
      ➜ Find spaces by name, such as <Link to="{paths.baseUrl}/spaces?text=ell"
        >little ell spaces</Link
      >
    </p>
    <p>
      ➜ View counterexamples to the converse of a theorem, such as <Link
        to="{paths.baseUrl}/theorems/Tseparable-dual-rnp">a separable dual has RNP</Link
      >
    </p>
  </div>
</div>

<h2>About this fork</h2>

This is basically the original <a href="https://topology.jdabbs.com/">π-Base</a> (all credit goes to its authors, see below) with the topological data replaced by Banach space data.

<h3>Contributions</h3>
You can see and submit contributions to the <a href="https://gitlab.com/aleksei.lissitsin/pbasetest">Banach space data repo</a> 
and the <a href="https://gitlab.com/aleksei.lissitsin/pbaseviewer">fork of the viewer repo</a> (which differs from upstream only in setting the paths right and the presence of the current text).

<h3>Running locally</h3>
You can also run locally with the upstream viewer and a copy of data. 
In the data repo, just run <code>npx @pi-base/compile</code>.
See <a href="https://github.com/pi-base/viewer">https://github.com/pi-base/viewer</a> for running the viewer locally.

<h3>Your own fork</h3> 
It is easy to create your own fork if you want to experiment with your own data.
Both the <a href="https://gitlab.com/aleksei.lissitsin/pbaseviewer">viewer</a> and the <a href="https://gitlab.com/aleksei.lissitsin/pbasetest">data</a> 
create Gitlab pages (which can be used just as the current site). Note that you can have multiple data repos per one domain and you can switch between them in the dev tab.
(You can also try with a different domain, but it needs to be able to set the CORS headers in a special way, which is not currently possible on Gitlab or Github pages.)

<hr/>

<h2>About (the original) π-Base</h2>
<h3>Contributing</h3>
<p>
  The π-Base relies on volunteers like yourself to submit new spaces,
  properties, and theorems. More information may be found on our <a
    href={paths.contributingGuide()}>Contributing</a
  > page.
</p>
<p>
  π-Base’s <a href="https://github.com/pi-base/data">data</a> and
  <a href="https://github.com/pi-base/viewer">source code</a> are available on GitHub.
  Code contributions are welcomed as well!
</p>
<h3>π-Base authors</h3>
<p>
  The π-Base was founded in 2014 by <a href="https://github.com/jamesdabbs"
    >James Dabbs</a
  >, who continues to maintain the project and serve as its main developer.
</p>
<p>
  <a href="https://github.com/stevenclontz">Steven Clontz</a> joined the project
  in 2017, serving as its lead mathematical editor.
</p>
<h3>π-Base Acknowledgements</h3>
<p>
  Many people have contributed to this project, and all contributions are
  appreciated, but a few individuals deserve special recognition:
</p>
<ul>
  <li>
    <a href="http://www.montevallo.edu/staff-bio/scott-varagona/"
      >Scott Varagona</a
    >
    for his heroic work entering data into the database
  </li>
  <li>
    Our graduate advisor, <a href="http://www.auburn.edu/~gruengf/"
      >Gary Gruenhage</a
    >
    for all his support and guidance
  </li>
  <li>
    <a href="http://austinmohr.com/home/">Austin Mohr</a> for his work using the
    π-Base as a pedagogical tool, and all his invaluable feedback
  </li>
  <li>
    The <a href="https://www.southalabama.edu/">University of South Alabama</a>
    Faculty Development Program for providing funding to host the π-Base server.
  </li>
  <li>
    Steen and Seebach for writing <a
      href="http://www.amazon.com/Counterexamples-Topology-Dover-Books-Mathematics/dp/048668735X"
      >Counterexamples in Topology</a
    >
    in the first place and inspiring this project.
  </li>
</ul>
